# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeDirection Class Reference

This class implements the mapping between classes
Direction from StepGeom which describes a direction
from Prostep and Direction from Geom.
.

`#include <StepToGeom_MakeDirection.hxx>`

Inheritance diagram for StepToGeom_MakeDirection:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeDirection (const Handle(StepGeom_Direction)&D)
Standard_EXPORT const Handle_Geom_Direction & | Value () const

## Private Attributes

Handle_Geom_Direction | theDirection

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeDirection::StepToGeom_MakeDirection | ( | const Handle(StepGeom_Direction)& | D | ) |

## Member Function Documentation

void StepToGeom_MakeDirection::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeDirection::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeDirection::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_Direction& StepToGeom_MakeDirection::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_Direction StepToGeom_MakeDirection::theDirection `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeDirection.hxx